FROM python:3.7-alpine

RUN apk update
RUN apk add openssh-server openssh-client shadow

# Configure SSH server (used for receiving results over scp)
RUN echo "PermitRootLogin no" >>  /etc/ssh/sshd_config
RUN echo "PasswordAuthentication no" >> /etc/ssh/sshd_config
RUN adduser -D -h /home/jenkins -u 1000 jenkins
RUN usermod -p "*" jenkins
RUN mkdir /home/jenkins/.ssh
RUN chmod 700 /home/jenkins/.ssh
RUN chown -R jenkins:jenkins /home/jenkins
# jenkins pubkey on otc-mesa-ci
RUN echo "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIJzd9morAT1YtKpHVza8xBjqQJdMNBTLNG4h3UEEK4zI" >> /home/jenkins/.ssh/authorized_keys
# clayton pubkey
RUN echo "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIEHLW2nTcOsK/4A9NtC1xWcm/K/sju/N+4Kg+TvvWJr4" >> /home/jenkins/.ssh/authorized_keys
# mesaci ext
RUN echo "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIAWeIVkxuFxXfwpBZ3CmBFN/n95nM0xVYfx9wQtG1K49" >> /home/jenkins/.ssh/authorized_keys
RUN ssh-keygen -A
EXPOSE 22

# Results go here
RUN mkdir -p /tmp/mesa_ci_results
RUN chown -R jenkins:jenkins /tmp/mesa_ci_results

CMD /usr/sbin/sshd -D

